package com.yihu.jw.entity.care.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Bing on 2021/8/18.
 */
@Entity
@Table(name="base_sleep_patient_out_bed")
public class BasePatientOutBed extends IdEntity {
    private String patient ;
    private String deviceSn;
    private Integer status;//是否回床 0否,1是
    private Date createTime;// 创建日期 即起床时间

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

